Body Parameters
- chainstringREQUIRED
The chain name for which the endpoint is to be created
- networkstringREQUIRED
The chain network for which the endpoint is to be created
Returns
- dataobject
The data object which contains the following fields:
- idstring
A unique identifier for the created endpoint
- labelstring
A descriptive label for the endpoint
- chainstring
The blockchain the endpoint is associated with
- networkstring
The specific network of the blockchain
- http_urlstring
The HTTP URL to access the newly created endpoint
- wss_urlstring
The WebSocket URL to access the newly created endpoint
- securityobject
The security object which contains the following fields:
- optionsobject
A list of security options available for the endpoint
- tokensboolean
Indicates whether token-based security is enabled
- jwtsboolean
Indicates whether JWT-based security is enabled
- domainMasksboolean
Indicates whether domain mask security is enabled
- ipsboolean
Indicates whether IP-based security is enabled
- hostsboolean
Indicates whether host-based security is enabled
- referrersboolean
Indicates whether referrer-based security is enable
- validHostsboolean
Indicates whether only valid hosts are allowed
- requestFiltersboolean
Indicates whether request filters are applied
- debugAuthErrorsboolean
Indicates whether detailed authentication error debugging is enabled
- enforceChainNetworkboolean
Indicates whether the specified chain and network are enforced for the endpoint
- ipCustomHeaderboolean
Indicates whether a custom IP header is applied
- hstsboolean
Indicates whether HTTP Strict Transport Security (HSTS) is enforced
- corsboolean
Indicates whether Cross-Origin Resource Sharing (CORS) is enabled
- jwtsarray
An array of JSON Web Token (JWT) configurations
- idstring
A unique identifier for the JWT
- public_keystring
The public key used in the JWT
- kidstring
A unique key identifier for the JWT public key
- namestring
The name of the JWT
- tokensarray
An array of token-based security configurations
- idstring
A unique identifier for the token
- tokenstring
The actual token value used for authentication
- referrersarray
An array of referrer-based security configurations
- idstring
A unique identifier for the referrer.
- referrerstring
The referrer URL allowed to access the endpoint
- domainMasksarray
An array of domain-based security configurations
- idstring
A unique identifier for the domain mask
- domainstring
The allowed domain for accessing the endpoint
- ipsarray
An array of IP-based security configurations
- idstring
A unique identifier for the IP configuration
- ipstring
The allowed IP address for accessing the endpoint
- rate_limitsobject
The rate_limits object which contains the following fields:
- rate_limit_by_ipboolean
Specifies if rate limiting is applied per IP
- accountinteger
The account-level rate limit
- rpsinteger
Requests per second limit
- rpminteger
Requests per minute limit
- rpdinteger
Requests per day limit
- errorstring
Contains error information, if any